<?php

namespace App\Http\Controllers;

use App\Models\Kategori;
use Illuminate\Http\Request;

class KategoriController extends Controller
{
    public function index()
    {
        $data['kategori'] = Kategori::all();

        return view('pages.kategori', $data);
    }

    public function add(Request $request)
    {
        Kategori::create($request->all());

        return redirect()->back()->with('success', 'Data Berhasil Disimpan');
    }

    public function update(Request $request, $id)
    {
        Kategori::find($id)->update($request->all());

        return redirect()->back()->with('success', 'Data Berhasil Disimpan');
    }

    public function delete($id)
    {
        Kategori::find($id)->delete();

        return redirect()->back()->with('success', 'Data Berhasil Dihapus');
    }
}
